Package org.eclipse.birt.report.engine.api

# Interface IAction

All Known Subinterfaces:
  `IDataAction`

public interface IAction
Defines an interface that allows engine to pass hyperlink information to an emitter, if the emitter determines to customize the hyperlinks calculated in engine, or it wants to use a totally different hyperlink string

Because it is allowed to customize hyperlinks through emitters, hyperlink customization in presentation engine itself is not supported now. It could be added later if it deems necessary.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ACTION_BOOKMARK`
bookmark action
`static final int`
`ACTION_DRILLTHROUGH`
drillthrough action
`static final int`
`ACTION_HYPERLINK`
hyperlink action

## Method Summary

Modifier and Type
Method
Description
`String`
`getActionString()`
`String`
`getBookmark()`
`String`
`getFormat()`
return fomat of drillthrough report
`Map`
`getParameterBindings()`
`String`
`getReportName()`
`Map`
`getSearchCriteria()`
`String`
`getSystemId()`
`String`
`getTargetFileType()`
`String`
`getTargetWindow()`
`String`
`getTooltip()`
`int`
`getType()`
`boolean`
`isBookmark()`
Return the bookmark type set in the drillthrough action.

## Field Details

### ACTION_HYPERLINK

static final int ACTION_HYPERLINK
hyperlink action

See Also:
  - Constant Field Values

### ACTION_BOOKMARK

static final int ACTION_BOOKMARK
bookmark action

See Also:
  - Constant Field Values

### ACTION_DRILLTHROUGH

static final int ACTION_DRILLTHROUGH
drillthrough action

See Also:
  - Constant Field Values

## Method Details

### getType

int getType()

Returns:
  the type of the hyperlink

### getBookmark

String getBookmark()

Returns:
  the bookmark string

### getActionString

String getActionString()

Returns:
  the action string that is calculated using the engine's default algorithm. valid for all three action types.

### getSystemId

String getSystemId()

Returns:
  the system id of the report design which create this action.

### getReportName

String getReportName()

Returns:
  the report name if action type is drillthrough, null otherwise

### getParameterBindings

Map getParameterBindings()

Returns:
  a set of name/value pairs for running the report in a drillthrough link; null when the action type is not drillthrough, or no parameters are defined for the drillthrough report to run. In the future, when the drillthrough is against a report document, the parameter binding map is also null.

### getSearchCriteria

Map getSearchCriteria()

Returns:
  a set of name/value pairs for searching the report in a drillthrough link; null when the action type is not drillthrough, or no search criteria is used

### getTargetWindow

String getTargetWindow()

Returns:
  The name of a frame where a document is to be opened.

### getFormat

String getFormat()
return fomat of drillthrough report

Returns:

### isBookmark

boolean isBookmark()
Return the bookmark type set in the drillthrough action. The return result indicated the target element is a toc or not.

Returns:
  `true`, the target element is a bookmark. `false`, the target element is indicated to be a toc.

### getTargetFileType

String getTargetFileType()

Returns:
  the type of the target report file.

### getTooltip

String getTooltip()